Bug 1282367 - (CVE-2015-5324) CVE-2015-5324 jenkins: Queue API did show items not visible to the current user (SECURITY-186)
CVE-2015-5324 jenkins: Queue API did show items not visible to the current us...
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,public=20151111,repor...
: Security
Depends On:
Blocks: 1282375
  Show dependency treegraph
 
Reported: 2015-11-16 04:01 EST by Martin Prpic
Modified: 2016-03-23 05:13 EDT (History)
14 users (show)

See Also:
Fixed In Version: Jenkins 1.638, Jenkins 1.625.2
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-03-22 15:24:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Martin Prpic 2015-11-16 04:01:32 EST
The following flaw was found in Jenkins:

The /queue/api URL could return information about items not accessible to the current user (such as parameter names and values, build names, project descriptions, ...).

Low privileged users can gain some limited information about items they should not have access to.

External References:

https://wiki.jenkins-ci.org/display/SECURITY/Jenkins+Security+Advisory+2015-11-11
Comment 1 Martin Prpic 2015-11-16 04:12:14 EST
Fixed in Fedora in:

jenkins-1.609.3-3.fc22
jenkins-1.625.2-2.fc23
jenkins-1.625.2-2.fc24
Comment 3 errata-xmlrpc 2016-01-26 14:18:26 EST
This issue has been addressed in the following products:

  RHEL 7 Version of OpenShift Enterprise 3.1

Via RHSA-2016:0070 https://access.redhat.com/errata/RHSA-2016:0070
Comment 4 errata-xmlrpc 2016-03-22 12:52:32 EDT
This issue has been addressed in the following products:

  Red Hat OpenShift Enterprise 2.2

Via RHSA-2016:0489 https://rhn.redhat.com/errata/RHSA-2016-0489.html

Note You need to log in before you can comment on or make changes to this bug.